{
  "id": "329cdea0dfc4505ea97a4e8a",
  "source": "http",
  "type": "go-function",
  "title": "http.func ParseHTTPVersion ¶",
  "content": "# http.func ParseHTTPVersion ¶\n\n```\nfunc ParseHTTPVersion(vers string) (major, minor int, ok bool)\n```\n\nParseHTTPVersion parses an HTTP version string according to RFC 7230, section 2.6.\n\"HTTP/1.0\" returns (1, 0, true). Note that strings without\na minor version, such as \"HTTP/2\", are not valid.",
  "url": "https://pkg.go.dev/http#func ParseHTTPVersion ¶",
  "metadata": {
    "examples": "null",
    "import_path": "Standard library/net/http",
    "kind": "function",
    "package": "http",
    "signature": "func ParseHTTPVersion(vers string) (major, minor int, ok bool)",
    "symbol": "func ParseHTTPVersion ¶"
  },
  "hash": "a4608aaccf5ee1156607e14d7e624fcd4a7a560baedd2a8a6b5590e1029467b5",
  "timestamp": "2026-02-19T12:17:17.23750434+01:00"
}